Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage Class Referenceabstract

An abstract IArchiveStorage suitable for extension by inheritance. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage:
[legend]

## Public Member Functions
Stream | GetTemporaryOutput ()
| Gets a temporary output Stream
Stream | ConvertTemporaryToFinal ()
| Converts the temporary Stream to its final form.
Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of a Stream.
Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
void | Dispose ()
| Disposes this instance.

## Protected Member Functions
| BaseArchiveStorage (FileUpdateMode updateMode)
| Initializes a new instance of the BaseArchiveStorage class.

## Properties
FileUpdateMode | UpdateMode`[get]`
| Gets the update mode applicable.

## Private Attributes
FileUpdateMode | updateMode_

## Detailed Description

An abstract IArchiveStorage suitable for extension by inheritance.

## Constructor & Destructor Documentation

## ◆ BaseArchiveStorage()

ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.BaseArchiveStorage | ( | FileUpdateMode | updateMode | ) |
| protected

Initializes a new instance of the BaseArchiveStorage class.

Parameters

  updateMode | The update mode.

## Member Function Documentation

## ◆ ConvertTemporaryToFinal()

Stream ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.ConvertTemporaryToFinal | ( |  | ) |
| abstract

Converts the temporary Stream to its final form.

Returns
  Returns a Stream that can be used to read the final storage for the archive.

See also
  GetTemporaryOutput

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ Dispose()

void ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.Dispose | ( |  | ) |
| abstract

Disposes this instance.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ GetTemporaryOutput()

Stream ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.GetTemporaryOutput | ( |  | ) |
| abstract

Gets a temporary output Stream

Returns
  Returns the temporary output stream.

See also
  ConvertTemporaryToFinal

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ MakeTemporaryCopy()

Stream ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.MakeTemporaryCopy | ( | Stream | stream | ) |
| abstract

Make a temporary copy of a Stream.

Parameters

  stream | The Stream to make a copy of.

Returns
  Returns a temporary output Stream that is a copy of the input.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ OpenForDirectUpdate()

Stream ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.OpenForDirectUpdate | ( | Stream | stream | ) |
| abstract

Return a stream suitable for performing direct updates on the original source.

Parameters

  stream | The Stream to open for direct update.

Returns
  Returns a stream suitable for direct updating.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## Member Data Documentation

## ◆ updateMode_

FileUpdateMode ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.updateMode_
| private

## Property Documentation

## ◆ UpdateMode

FileUpdateMode ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.UpdateMode
| get

Gets the update mode applicable.

The update mode.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs